PETSc version 3.15.5
Fix/Edit manual page

# DMStagSetNumRanks

set ranks in each direction in the global rank grid

### Synopsis

    PetscErrorCode DMStagSetNumRanks(DM dm,PetscInt nRanks0,PetscInt nRanks1,PetscInt nRanks2)

Logically Collective; nRanks0, nRanks1, and nRanks2 must contain common values

### Input Parameters

| dm | - the DMStag object
| nRanks0,nRanks1,nRanks2 | - number of ranks in each direction

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

### See Also

DMSTAG, DMDASetNumProcs()

### Level

developer

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages